查询亚马逊源报表 - 所有订单
POST
/erp/sc/data/mws_report/allOrders查询 All Orders Report By last update 报表
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/data/mws_report/allOrders | HTTPS | POST | 10 |
请求参数
sidinteger必填date_typeintegerstart_datestring必填end_datestring必填offsetintegerlengthinteger请求示例
{
"sid": 109,
"date_type": 1,
"start_date": "2020-04-01",
"end_date": "2024-08-05",
"offset": 0,
"length": 1000
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataarray<object>必填隐藏子属性
amazon_order_idstring必填merchant_order_idstring必填last_updated_timestring必填purchase_datestring必填purchase_date_localestring必填purchase_date_localstring必填shipment_datestring必填order_statusstring必填fulfillment_channelstring必填sales_channelstring必填order_channelstring必填urlstring必填ship_service_levelstring必填skustring必填asinstring必填product_namestring必填item_statusstring必填quantitynumber必填currencystring必填item_pricestring必填item_taxstring必填shipping_pricestring必填shipping_taxstring必填gift_wrap_pricestring必填gift_wrap_taxstring必填item_promotion_discountstring必填ship_promotion_discountstring必填promotion_idsstring必填pidinteger必填local_skustring必填local_namestring必填sidinteger必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "F79152AD-CBC0-846C-DA15-54D7BFC5C835",
"response_time": "2021-04-19 18:33:51",
"data": [
{
"amazon_order_id": "111-01111-6646648",
"merchant_order_id": "111-011110-6646648",
"last_updated_time": 1602964702,
"purchase_date": "2020-10-17T00:31:51+00:00",
"purchase_date_locale": "2020-10-16",
"purchase_date_local": "2020-10-16 17:31:51",
"shipment_date": "2020-10-17T12:58:15-07:00",
"order_status": "Shipped",
"fulfillment_channel": "Amazon",
"sales_channel": "Amazon.com",
"order_channel": "",
"url": "",
"ship_service_level": "Expedited",
"sku": "T1-1111-59G8",
"asin": "B0711113",
"product_name": "P",
"item_status": "Shipped",
"quantity": 1,
"currency": "USD",
"item_price": "7.99",
"item_tax": "0.82",
"shipping_price": "",
"shipping_tax": "",
"gift_wrap_price": "",
"gift_wrap_tax": "",
"item_promotion_discount": "",
"ship_promotion_discount": "",
"promotion_ids": "",
"pid": 1,
"local_sku": "视觉111",
"local_name": "00.100",
"sid": 1
}
],
"total": 2260
}